Search Traces
Operations of the Search API. Paths are relative to your deployment's API host.
GET /api/search-api/traces
List search traces for the authenticated organization
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
limit | query | number | no | Maximum number of traces to return |
offset | query | number | no | Offset for pagination |
sinceDays | query | number | no | Show traces from the last N days |
| Status | Description | Body |
|---|---|---|
| 200 | application/json TracesListResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
GET /api/search-api/traces/stats
Get search performance statistics
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
sinceDays | query | number | no | Calculate stats for the last N days |
| Status | Description | Body |
|---|---|---|
| 200 | application/json SearchStatsResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |